## visad.data.units
Interface UnitParserConstants

All Known Implementing Classes:
  UnitParser, UnitParserTokenManager

public interface UnitParserConstants

Field Summary
`static int` `DATE`
`static int` `DAY`
`static int` `DECIMAL`
`static int` `DEFAULT`
`static int` `DIGIT`
`static int` `DIVIDE`
`static int` `EOF`
`static int` `EXP`
`static int` `FROM`
`static int` `HOUR`
`static int` `INT`
`static int` `INTEGER`
`static int` `LETTER`
`static int` `MINUTE`
`static int` `MONTH`
`static int` `NAME`
`static int` `REAL`
`static int` `SECOND`
`static int` `SHIFT`
`static int` `SIGN`
`static int` `SINCE`
`static int` `TIME`
`static String[]` `tokenImage`
`static int` `WHITESPACE`
`static int` `YEAR`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SIGN

    public static final int SIGN

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### EXP

    public static final int EXP

See Also:
  Constant Field Values

### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

### REAL

    public static final int REAL

See Also:
  Constant Field Values

### WHITESPACE

    public static final int WHITESPACE

See Also:
  Constant Field Values

### SINCE

    public static final int SINCE

See Also:
  Constant Field Values

### FROM

    public static final int FROM

See Also:
  Constant Field Values

### SHIFT

    public static final int SHIFT

See Also:
  Constant Field Values

### DIVIDE

    public static final int DIVIDE

See Also:
  Constant Field Values

### LETTER

    public static final int LETTER

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### YEAR

    public static final int YEAR

See Also:
  Constant Field Values

### MONTH

    public static final int MONTH

See Also:
  Constant Field Values

### DAY

    public static final int DAY

See Also:
  Constant Field Values

### DATE

    public static final int DATE

See Also:
  Constant Field Values

### HOUR

    public static final int HOUR

See Also:
  Constant Field Values

### MINUTE

    public static final int MINUTE

See Also:
  Constant Field Values

### SECOND

    public static final int SECOND

See Also:
  Constant Field Values

### TIME

    public static final int TIME

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage